---
title: llarp::rpc::rpc_error

---

# llarp::rpc::rpc_error





Inherits from std::runtime_error

## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[rpc_error](Classes/structllarp_1_1rpc_1_1rpc__error.md#function-rpc-error)**(std::string message) |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| std::string | **[message](Classes/structllarp_1_1rpc_1_1rpc__error.md#variable-message)**  |

## Public Functions Documentation

### function rpc_error

```cpp
inline rpc_error(
    std::string message
)
```


**Parameters**: 

  * **message** - a message to send along with the error code (see general description above). 


## Public Attributes Documentation

### variable message

```cpp
std::string message;
```


-------------------------------

Updated on 2023-01-26 at 19:35:17 +0000